Fedora Users Forum

Fedoraユーザのためのサポートフォーラム
現在時刻 - 2019年3月19日(火) 14:55

All times are UTC + 9 hours





新しいトピックを投稿する トピックへ返信する  [ 10 件の記事 ] 
作成者 メッセージ
 記事の件名: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 12:51 
オフライン
アバター
プライベートメッセージ送信  メール  WWW  プロフィール

登録日時: 2009年4月08日(水) 22:07
記事: 101
所在地: 東京
こんにちわ。お世話になります。

Fedora12で次のようなエラーが出てアップデートが出来ません。

コード:
パッケージのダウンロード中にエラーに遭遇しました。
kde-settings-pulseaudio-4.3-16.1.noarch: failure: kde-settings-pulseaudio-4.3-16.1.noarch.rpm from updates: [Errno 256] No more mirrors to try.
1:control-center-2.28.1-16.fc12.i686: failure: control-center-2.28.1-16.fc12.i686.rpm from updates: [Errno 256] No more mirrors to try.
kde-l10n-4.3.5-1.fc12.noarch: failure: kde-l10n-4.3.5-1.fc12.noarch.rpm from updates: [Errno 256] No more mirrors to try.


上の3つのパッケージのチェックを外してアップデートしてもうまくいきません。

どうしたらいいでしょうか?

明日まで待てば改善するとは思うんですが、バグとして報告すべきでしょうか?

アドバイス頂けると嬉しいです。よろしくお願いします。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 16:21 
オフライン
プライベートメッセージ送信  プロフィール

登録日時: 2009年6月21日(日) 23:35
記事: 101
所在地: 愛知県
kde-settings-pulseaudio-4.3-16.1.noarch

上記の項目で検索してみましたが、Fedora本家と他国はミラーサイト1つしか出てきませんでした。
kde-settings-pulseaudio-4.3-16.1.noarch.RPM test-updateになっていますので

出来れば、「software sources」の設定箇所は、testupdate、testupdate debugの2箇所
はチェックマークをはずされた方が安心かと思います。チェックマークを確認して頂けませんか?

Rowhideと同じく、開発中のtest版なので動作やupdateの保証は完全にはされていないと思います..


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 16:30 
オフライン
アバター
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年3月20日(金) 22:04
記事: 239
こんにちは、今 KDEを32bit環境に入れてみました。

rpm -qa |grep -e kde-settings-pulseaudio

kde-settings-pulseaudio-4.3-16.1.noarch

rpm -qa |grep -e control-center-2.28.1-16.fc12.i686
control-center-2.28.1-16.fc12.i686

全部を確認した訳ではありませんが、入るようです。ちなみに

 コード: 全選択 大枠 小枠
エラー: 依存性の欠落: xine-lib(plugin-abi)(x86-32) = 1.26 はパッケージ xine-lib-extras-freeworld-1.1.16.3-2.fc12.i686 (rpmfusion-free) が必要としています


は出てしまうようです。これは依存エラーと考えられます。

タイミングかもしれせんが、現在、yum-presto をお使いですか?または、 yum-fastestmirrorをお使いですか?

FC12からは、yum-prestoのほうがお薦めかもしれません。

yum-fastestmirrorを入れている場合

$ su -
# yum -y remove yum-fastestmirror

です。

p.s 上記 依存エラーは
$ su -
# yum groupinstall -y kde-desktop
を実施した時だけ出ますので、通常の yum updateでは発生しません。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 17:12 
オフライン
アバター
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年3月20日(金) 22:04
記事: 239
再びすみません。

ちょっと気になったのですが、kde-l10n-4.3.5-1.fc12.noarch.rpmは、kde-l10n.noarchですよね?わたしの環境で見てみると、

$ yum list kde-l10n.noarch
kde-l10n.noarch 4.3.5-1.fc12@updates

となり、kde-l10n-4.3.5-1.fc12.noarch.rpmを探してみると、初心者のGさんが仰れている に rpm があります。これをダウンロードして、

$ su -
# yum localinstall *.rpm --nogpgcheck

してあげても、組み込まれないことから同じと考えているのですが。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 18:11 
オフライン
プライベートメッセージ送信  プロフィール

登録日時: 2009年6月21日(日) 23:35
記事: 101
所在地: 愛知県
mako999さん、こんにちはお久しぶりです、よろしくお願い致します。

言葉たらずでご迷惑おかけしてます。多分まだリポジトリだけ先行してファイルの依存性が完全にそろっていない状態
、もしくはバグ付きのファイルの可能性もあると思います。その他の原因も多数考えられますので正確な情報までとは
いかずになってしまい、お許し下さい。

とりあえず、test-updateの関係はKDEでupdateの準備が出来ていることはFedora本家では確かなようですね。

私もFedora12からKDEを入れて時々ですが、動作させています。ずいぶんGNOMEとはディスクトップ環境が違い
進化の進み方に驚かされています。updateは、ほぼ毎日のようにありますのでファイル依存性の問題の時は後日
にupdateしてしまうようにメモを残し作業しています。私のupdateの考え方ですので参考になれば..

とりあえず参考までに
「Rowhide」と「test-update」にチェックマークのついているPC側はたしかに、このバージョンのupdateが
されるようファイルが出てきますね。ここまで確認しています。

私もしばらく様子を見てみます。

できましたらmako999さん、私も含めご指導よろしくお願い致します。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 21:21 
オフライン
プライベートメッセージ送信  WWW  プロフィール

登録日時: 2008年9月13日(土) 12:37
記事: 250
所在地: 兵庫県
本筋からはずれますが、yum-fastestmirrorとprestoは競合しません。
したがいましてアンインストールの必要もありません。

ちなみに私はずっとKDEを使用しております。本日KDEの更新がありました。
 コード: 全選択 大枠 小枠
===============================================================================================================================================================================================================
Package Arch Version Repository Size
===============================================================================================================================================================================================================
更新:
PyKDE4 x86_64 4.3.5-1.fc12 updates 3.2 M
bind-libs x86_64 32:9.6.1-16.P3.fc12 updates 795 k
bind-utils x86_64 32:9.6.1-16.P3.fc12 updates 170 k
control-center x86_64 1:2.28.1-16.fc12 updates 1.6 M
control-center-filesystem x86_64 1:2.28.1-16.fc12 updates 48 k
gdb x86_64 7.0.1-31.fc12 updates 2.2 M
glib2 i686 2.22.4-2.fc12 updates 1.1 M
glib2 x86_64 2.22.4-2.fc12 updates 1.1 M
glib2-devel x86_64 2.22.4-2.fc12 updates 1.3 M
gnome-settings-daemon x86_64 2.28.1-12.fc12 updates 495 k
gthumb x86_64 2.10.11-8.fc12 updates 2.2 M
gvfs x86_64 1.4.3-4.fc12 updates 913 k
gvfs-archive x86_64 1.4.3-4.fc12 updates 62 k
gvfs-fuse x86_64 1.4.3-4.fc12 updates 29 k
gvfs-gphoto2 x86_64 1.4.3-4.fc12 updates 87 k
gvfs-obexftp x86_64 1.4.3-4.fc12 updates 70 k
gvfs-smb x86_64 1.4.3-4.fc12 updates 88 k
hpijs x86_64 1:3.9.8-28.fc12 updates 1.9 M
hplip x86_64 3.9.8-28.fc12 updates 5.9 M
hplip-common x86_64 3.9.8-28.fc12 updates 59 k
hplip-libs x86_64 3.9.8-28.fc12 updates 139 k
ibus x86_64 1.2.0.20100111-2.fc12 updates 322 k
ibus-anthy x86_64 1.2.0.20100115-1.fc12 updates 101 k
ibus-gtk x86_64 1.2.0.20100111-2.fc12 updates 24 k
ibus-libs x86_64 1.2.0.20100111-2.fc12 updates 96 k
kde-l10n noarch 4.3.5-1.fc12 updates 13 k
kde-l10n-Japanese noarch 4.3.5-1.fc12 updates 2.2 M
kde-settings noarch 4.3-16.1 updates 42 k
kde-settings-kdm noarch 4.3-16.1 updates 28 k
kde-settings-pulseaudio noarch 4.3-16.1 updates 16 k
kdeadmin x86_64 7:4.3.5-1.fc12 updates 1.3 M
kdeartwork x86_64 4.3.5-1.fc12 updates 1.1 M
kdeartwork-sounds noarch 4.3.5-1.fc12 updates 1.3 M
kdebase x86_64 6:4.3.5-3.fc12 updates 4.5 M
kdebase-libs x86_64 6:4.3.5-3.fc12 updates 212 k
kdebase-runtime x86_64 4.3.5-2.fc12 updates 7.0 M
kdebase-runtime-libs x86_64 4.3.5-2.fc12 updates 1.3 M
kdebase-workspace x86_64 4.3.5-2.fc12 updates 12 M
kdebase-workspace-akonadi x86_64 4.3.5-2.fc12 updates 63 k
kdebase-workspace-googlegadgets x86_64 4.3.5-2.fc12 updates 67 k
kdebase-workspace-libs x86_64 4.3.5-2.fc12 updates 640 k
kdebase-workspace-python-applet x86_64 4.3.5-2.fc12 updates 44 k
kdeedu-marble x86_64 4.3.5-1.fc12 updates 11 M
kdeedu-marble-libs x86_64 4.3.5-1.fc12 updates 619 k
kdegraphics x86_64 7:4.3.5-1.fc12 updates 3.1 M
kdegraphics-libs x86_64 7:4.3.5-1.fc12 updates 851 k
kdelibs x86_64 6:4.3.5-2.fc12 updates 11 M
kdelibs-common x86_64 6:4.3.5-2.fc12 updates 765 k
kdelibs-devel x86_64 6:4.3.5-2.fc12 updates 1.6 M
kdelibs-experimental x86_64 4.3.5-1.fc12 updates 33 k
kdemultimedia x86_64 6:4.3.5-1.fc12 updates 1.5 M
kdemultimedia-libs x86_64 6:4.3.5-1.fc12 updates 237 k
kdenetwork x86_64 7:4.3.5-1.fc12 updates 7.9 M
kdenetwork-libs x86_64 7:4.3.5-1.fc12 updates 1.4 M
kdepim x86_64 6:4.3.5-1.fc12 updates 8.4 M
kdepim-libs x86_64 6:4.3.5-1.fc12 updates 5.6 M
kdepim-runtime x86_64 4.3.5-1.fc12 updates 857 k
kdepim-runtime-libs x86_64 4.3.5-1.fc12 updates 246 k
kdepimlibs x86_64 4.3.5-1.fc12 updates 1.8 M
kdepimlibs-akonadi x86_64 4.3.5-1.fc12 updates 400 k
kdepimlibs-devel x86_64 4.3.5-1.fc12 updates 393 k
kdeplasma-addons x86_64 4.3.5-1.fc12 updates 2.0 M
kdeplasma-addons-libs x86_64 4.3.5-1.fc12 updates 268 k
kdeutils x86_64 6:4.3.5-1.fc12 updates 2.4 M
kdeutils-libs x86_64 6:4.3.5-1.fc12 updates 395 k
kdeutils-printer-applet x86_64 6:4.3.5-1.fc12 updates 54 k
kdm x86_64 4.3.5-2.fc12 updates 1.9 M
kio_msits x86_64 7:4.3.5-1.fc12 updates 23 k
ksysguardd x86_64 4.3.5-2.fc12 updates 75 k
libchamplain x86_64 0.4.3-1.fc12 updates 136 k
libchamplain-gtk x86_64 0.4.3-1.fc12 updates 16 k
libsane-hpaio x86_64 3.9.8-28.fc12 updates 72 k
libv4l i686 0.6.4-1.fc12 updates 103 k
libv4l x86_64 0.6.4-1.fc12 updates 105 k
lm_sensors x86_64 3.1.2-1.fc12 updates 124 k
lm_sensors-libs x86_64 3.1.2-1.fc12 updates 37 k
nss x86_64 3.12.5-8.fc12 updates 721 k
nss-tools x86_64 3.12.5-8.fc12 updates 742 k
oxygen-icon-theme noarch 4.3.5-1.fc12 updates 19 M
portreserve x86_64 0.0.4-3.fc12 updates 22 k
strigi-devel x86_64 0.7.1-1.fc12 updates 47 k
strigi-libs x86_64 0.7.1-1.fc12 updates 424 k
system-config-printer x86_64 1.1.16-13.fc12 updates 436 k
system-config-printer-kde x86_64 7:4.3.5-1.fc12 updates 96 k
system-config-printer-libs x86_64 1.1.16-13.fc12 updates 644 k
system-config-printer-udev x86_64 1.1.16-13.fc12 updates 56 k
xscreensaver-base x86_64 1:5.10-5.fc12 updates 405 k
依存性関連でのインストールをしています:
nss-sysinit x86_64 3.12.5-8.fc12 updates 24 k

Transaction Summary
===============================================================================================================================================================================================================
Install 1 Package(s)
Upgrade 87 Package(s)

総ダウンロード容量: 143 M
これでいいですか? [y/N]

ほぼ毎日更新作業は行っているので、多分昨日か今日更新通知が来たはずです。

タイミングによってミラーに来てないこともあるので、数日待っても改善されないならバグ報告を出したらよいのではないでしょうか? さすがに更新通知が来たその日に依存関係が解決しなくてもそれは無理のないことでは・・・?


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月05日(金) 22:14 
オフライン
アバター
プライベートメッセージ送信  メール  WWW  プロフィール

登録日時: 2009年4月08日(水) 22:07
記事: 101
所在地: 東京
こんばんわ。

沢山の返信くださった皆様ありがとうございます。

返事が遅れてしまいすいません。

アップデートは取り敢えず明日まで待ってみようと思います。

明日また報告させていただきます。

それでは失礼します。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月06日(土) 07:11 
オフライン
アバター
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年3月20日(金) 22:04
記事: 239
code_air_edgeさん ご指摘有難うございます。間違えました :o

ひとつ書き忘れたというか

mako999 さんが書きました:
$ su -
# yum localinstall *.rpm --nogpgcheck

してあげても、組み込まれないことから同じと考えているのですが。


の後に、「よって、初心者のGさんが2トピックで書かれている リポジトリ を確認すべきですね」という一文を書き忘れました。初心者のGさん、すみません。

hiroppyさんへ

 ミラーの関係もあるとは思うのですが、リポジトリはtesting等で enabled=1 にしていませんよね?。2トピックの初心者のGさんと同じ工程ステップなのですが。

7:23 修正
p.s また外しそうでやや怖いのですが、上記を弄っていない場合

# package-cleanup --orphans
# yum clean all

を実施して、結果が変わらなければ code_air_edgeさんご指摘とおり、しばらく待つ という選択になるかと思われます。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月06日(土) 16:10 
オフライン
アバター
プライベートメッセージ送信  メール  WWW  プロフィール

登録日時: 2009年4月08日(水) 22:07
記事: 101
所在地: 東京
こんにちわ。 :lol:

返信ありがとうございます。

特に設定等は弄らなかったのですが、

ついさっき無事アップデート出来ました。

昨日の時点で、アップデートが103個あり、今日は109個になっていたので、

多分依存関係で足りないものがあったのかもしれません。あるいはバグが改善されていた?・・・

返信くださった皆様、沢山の意見ありがとうございました。


トップへ
 
 記事の件名: Re: Fedora12のアップデートエラーについて
投稿記事Posted: 2010年2月06日(土) 16:54 
オフライン
プライベートメッセージ送信  メール  WWW  YIM  プロフィール

登録日時: 2010年1月09日(土) 15:58
記事: 104
---------
もう解決した案ですが…
control-center関係のアップデートが出来ない状況を私の方でも確認できました。

リポジトリにこのパッケージがまだアップされていないのに、
updateのmetalinkに書き込まれたようですねぇ。

こういったアップデートによる依存関係の解決の失敗はたまに起こることがあります。

その解決方法としては、
待つのが一番良い方法ですが、
とりあえず、今すぐ依存関係の解決に失敗したパッケージ以外を
アップデートしたいという場合には
/etc/yum.confに
    exclude=control-center*
と、該当パッケージ名をyumから除外するとうまくいく場合があります。

ただし、excludeの行を残したままにしておくと、
以後updateしても該当パッケージがアップデートされないので、
無事アップデートされたら、excludeの前に半角で#を挿入して、
コメントアウトしておいて下さい。



Packagekit(GUIのパッケージインストーラ、アップデータ)の場合には、
アップデートに失敗するパッケージをアップデートしないように
チェックを外せばアップデートできる場合があります。


トップへ
 
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 10 件の記事 ] 

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[0人]


トピック投稿: 不可
返信投稿: 不可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
cron

無料でマイフォーラムを作成する! · php-BB© · Internationalization Project · 不正利用を報告する · 使用条件/プライバシーポリシー
© Forums-Free.com 2009